// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "PlayerPrefab.hpp"

using namespace Dawn;

struct PlayerPrefab Dawn::createPlayerPrefab(
  const std::shared_ptr<World> world
) {
  struct PlayerPrefab player;
  player.item = world->getScene()->createSceneItem();

  player.entity = player.item->addComponent<Entity>();
  player.entity->world = world;

  return player;
}